<?php
include "ver_sessao.php";
include "conecta.php";


function exclui_caixa(){
	
	remover('pdv',$_POST[id]);
	
	index();
	exit;
}


function modifica_caixa(){
global $a_mod;

	$a_mod = carregar('pdv',$_POST[id]);

	layout_caixa();
	exit;	
}


function cadastra_caixa(){
	
	$campos = array(pdv_tx_nome,pdv_tx_reabrir,pdv_nb_impressora,pdv_tx_pinpad,pdv_tx_status);
	$valores= array($_POST[nome],$_POST[reabrir],$_POST[impressora],$_POST[pinpad],'ativo');
	
	if( !$_POST[id] )
		inserir('pdv',$campos,$valores);
	else
		atualizar('pdv',$campos,$valores,$_POST[id]);
		
	index();
	exit;
	
}


function layout_caixa(){
global $a_mod;
	
	cabecalho('Cadastro de PDV',2);

	if ($a_mod[pdv_nb_impressora]>0)
		$a_impr = carregar('impressora',$a_mod[pdv_nb_impressora]);

	
	//CAMPOS
	$nome      = cactux::campo('PDV:','nome',$a_mod[pdv_tx_nome],4);
	$reabrir   = cactux::combo('Reabrir:','reabrir',array('Não','Sim'),$a_mod[pdv_tx_reabrir],2);
	$pinpad   = cactux::combo('Pinpad:','pinpad',array('Não','Sim','Multiplus'),$a_mod[pdv_tx_pinpad],2);
	$impressora= cactux::combo_bd('!Impressora:','impressora',$a_impr[impr_nb_id],$a_impr[impr_tx_nome],2,'impressora');
	
	//BOTOES
	$gravar = cactux::botao_submit('Gravar',2,'cadastra_caixa','id',$_POST[id]);
	$voltar = cactux::botao('Voltar',2,'voltar');
	$status = cactux::msg_status();
	//-----------

	cactux::abre_form();
	cactux::abre_fieldset('Cadastro de PDV');
	cactux::linha_fieldset($nome,$reabrir,$pinpad,$impressora);
	cactux::linha_fieldset($voltar,$gravar,$status);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	cactux::acao_botao('voltar','index');
	rodape();
}




function layout_imprimir(){
	
	cabecaRelatorio('Cadastro de PDV',2);

	if($_POST[busca_cod]!='')
		$extra .= " AND pdv_nb_id = '$_POST[busca_cod]'";
	if($_POST[busca_pdv]!='')
		$extra .= " AND pdv_tx_nome LIKE '%$_POST[busca_pdv]%'";

	cactux::abre_form('');
	
	$c[]=cactux::texto('Código:',$_POST['busca_cod'],1);
	$c[]=cactux::texto('Nome:',$_POST['busca_pdv'],5);
	
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3]);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	echo"<br>";
	
	$sql = selecionar('pdv','pdv_tx_status',"!inativo"," $extra ORDER BY pdv_tx_nome");
	
	$cabecalho[] = array('CÓDIGO','NOME');
	$cabecalho[] = 'c,e';
	$cabecalho[] = '8%,';
	
	while( $a = carrega_array($sql) ){
		$valores[] = array($a[pdv_nb_id],$a[pdv_tx_nome]);
	}
	
	grid::gerar($cabecalho,$valores);
	
	rodape();	
}


function abreWebserviceMultiplus(){

	$cont[] = "000-000 = ADM";
	$cont[] = "001-000 = 1";
	$cont[] = "999-999 = 0";

	$conteudo = implode("¬",$cont);

	$curl = curl_init();
	curl_setopt_array($curl, 
		array(
			CURLOPT_URL => "http://web1.multipluscard.com.br/MultiplusCardApi/api/Servicos/SetVendaTEF/",
			CURLOPT_RETURNTRANSFER => true,
			CURLOPT_ENCODING => "",
			CURLOPT_MAXREDIRS => 10,
			CURLOPT_TIMEOUT => 30,
			CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
			CURLOPT_CUSTOMREQUEST => "POST",
			CURLOPT_HTTPHEADER => array(
				"Accept: */*",
				"CNPJ: 51403129000181",
				"CONTEUDO: $conteudo",
				"Cache-Control: no-cache",
				"Connection: keep-alive",
				"Host: web1.multipluscard.com.br",
				"PDV: 001",
				"TOKEN: 1234",
				"accept-encoding: gzip, deflate",
				"cache-control: no-cache",
				"content-length: 0"
			),
		)
	);

	$response = curl_exec($curl);
	$err = curl_error($curl);

	curl_close($curl);

	if ($err) {
		echo "cURL Error #:" . $err;
	} else {

		echo $response;
	}
	exit;
}



function index(){
	
	if($_POST[busca_cod]!='')
		$extra .= " AND pdv_nb_id = '$_POST[busca_cod]'";
	if($_POST[busca_pdv]!='')
		$extra .= " AND pdv_tx_nome LIKE '%$_POST[busca_pdv]%'";
	
	$sql = selecionar('pdv','pdv_tx_status',"!inativo"," $extra ORDER BY pdv_tx_nome",1);
	$BUSCA = grid::gerar_paginacao($sql);

	cabecalho('Cadastro de PDV',2);
	
	//CAMPOS
	$cod = cactux::campo('Código:','busca_cod',$_POST[busca_cod],2);
	$nome = cactux::campo('Nome:','busca_pdv',$_POST[busca_pdv],8);
	//------------
	
	//BOTOES
	$buscar = cactux::botao_submit_busca('Buscar',2,'index');
	$inserir = cactux::botao('Inserir',2,'inserir');
	$imprimir = cactux::botao('Imprimir',2,'imprimir');
	$tef = cactux::botao('Configurar TEF',2,'tef','onclick="abreMultiplus();"');
	
	//-----------
	
	cactux::abre_form();
	cactux::abre_fieldset('Cadastro de PDV');
	cactux::linha_fieldset($cod,$nome);
	cactux::linha_fieldset($buscar,$inserir,$imprimir,$tef);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	cactux::acao_botao('inserir','layout_caixa');
	cactux::acao_botao('imprimir','layout_imprimir','','','','',' target=_blank');
	
	$cabecalho[] = array('CÓD.','NOME','REABRIR','PINPAD','IMPRESSORA','','');
	$cabecalho[] = 'c,e,c,c';
	$cabecalho[] = '6%,,15%,15%,15%,2%,2%';
	
	while( $a = carrega_array($BUSCA[0]) ){

		if ($a[pdv_nb_impressora]>0) {
			$a_impr = carregar('impressora',$a[pdv_nb_impressora]);
			$nome_impr=$a_impr[impr_tx_nome];
		} else {
			$nome_impr='';
		}
		
		$valores[] = array($a[pdv_nb_id],$a[pdv_tx_nome],$a[pdv_tx_reabrir],$a[pdv_tx_pinpad],$nome_impr,".icone_modificar($a[0],modifica_caixa)",".icone_excluir($a[0],exclui_caixa)");
	}
	
	grid::gerar($cabecalho,$valores);
	grid::paginar($BUSCA);
	
	rodape();
	
	echo "<iframe style='display:none' align=left id=frameConfiguraMultiplus></iframe>";
	javascript("
		function abreMultiplus(){
			document.getElementById('frameConfiguraMultiplus').src=\"cadastro_caixa.php?".cactux_cookie::url_sistema()."&acao=abreWebserviceMultiplus\";
		}
	
	");
}

controle();
?>